# AIEventTownFounded Class Reference

Event Town Founded, indicating a new town has been created. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventTownFounded:

## Public Member Functions
| AIEventTownFounded (TownID town)
TownID | GetTownID ()
| Get the TownID of the town.
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.
static AIEventTownFounded * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
TownID | town

## Detailed Description

Event Town Founded, indicating a new town has been created.

Definition at line 806 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventTownFounded::AIEventTownFounded | ( | TownID | town | ) | `[inline]`

Parameters:

  | town | The town that was created.

Definition at line 814 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventTownFounded* AIEventTownFounded::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 824 of file ai_event_types.hpp.

static const char* AIEventTownFounded::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIEvent.

Definition at line 809 of file ai_event_types.hpp.

TownID AIEventTownFounded::GetTownID | ( |  | ) | `[inline]`

Get the TownID of the town.

Returns:
  The TownID of the town that was created.

Definition at line 830 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp